### org.jfree.layouting.input.style.selectors

# Class AbstractSelector

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.AbstractSelector`

Implemented Interfaces:
  CSSSelector, Selector, Serializable

Known Direct Subclasses:
  CSSAnyNodeSelector, CSSCharacterDataSelector, CSSConditionalSelector, CSSDescendantSelector, CSSElementSelector, CSSNegativeSelector, CSSRootNodeSelector, CSSSilblingSelector

`public abstract class AbstractSelector`
`extends java.lang.Object`
`implements CSSSelector`

Creation-Date: 05.12.2005, 19:50:49

Author:
  Thomas Morgner

  ## Constructor Summary

  `AbstractSelector()`

  ## Method Summary

  `protected abstract SelectorWeight`

  `createWeight()`

  `SelectorWeight`

  `getWeight()`

## Constructor Details

### AbstractSelector

    public AbstractSelector()

## Method Details

### createWeight

    protected abstract SelectorWeight createWeight()

### getWeight

    public SelectorWeight getWeight()

> Specified by:
>   getWeight in interface CSSSelector